VULKAN_HPP_NAMESPACE::SamplerCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SamplerCreateInfo:
[legend]

## Public Member Functions

SamplerCreateInfo (SamplerCreateFlags flags_=SamplerCreateFlags(), Filter magFilter_=Filter::eNearest, Filter minFilter_=Filter::eNearest, SamplerMipmapMode mipmapMode_=SamplerMipmapMode::eNearest, SamplerAddressMode addressModeU_=SamplerAddressMode::eRepeat, SamplerAddressMode addressModeV_=SamplerAddressMode::eRepeat, SamplerAddressMode addressModeW_=SamplerAddressMode::eRepeat, float mipLodBias_=0, Bool32 anisotropyEnable_=0, float maxAnisotropy_=0, Bool32 compareEnable_=0, CompareOp compareOp_=CompareOp::eNever, float minLod_=0, float maxLod_=0, BorderColor borderColor_=BorderColor::eFloatTransparentBlack, Bool32 unnormalizedCoordinates_=0)

| SamplerCreateInfo (VkSamplerCreateInfo const &rhs)
SamplerCreateInfo & | operator= (VkSamplerCreateInfo const &rhs)
SamplerCreateInfo & | setPNext (const void *pNext_)
SamplerCreateInfo & | setFlags (SamplerCreateFlags flags_)
SamplerCreateInfo & | setMagFilter (Filter magFilter_)
SamplerCreateInfo & | setMinFilter (Filter minFilter_)
SamplerCreateInfo & | setMipmapMode (SamplerMipmapMode mipmapMode_)
SamplerCreateInfo & | setAddressModeU (SamplerAddressMode addressModeU_)
SamplerCreateInfo & | setAddressModeV (SamplerAddressMode addressModeV_)
SamplerCreateInfo & | setAddressModeW (SamplerAddressMode addressModeW_)
SamplerCreateInfo & | setMipLodBias (float mipLodBias_)
SamplerCreateInfo & | setAnisotropyEnable (Bool32 anisotropyEnable_)
SamplerCreateInfo & | setMaxAnisotropy (float maxAnisotropy_)
SamplerCreateInfo & | setCompareEnable (Bool32 compareEnable_)
SamplerCreateInfo & | setCompareOp (CompareOp compareOp_)
SamplerCreateInfo & | setMinLod (float minLod_)
SamplerCreateInfo & | setMaxLod (float maxLod_)
SamplerCreateInfo & | setBorderColor (BorderColor borderColor_)
SamplerCreateInfo & | setUnnormalizedCoordinates (Bool32 unnormalizedCoordinates_)
| operator VkSamplerCreateInfo const & () const
| operator VkSamplerCreateInfo & ()
bool | operator== (SamplerCreateInfo const &rhs) const
bool | operator!= (SamplerCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
SamplerCreateFlags | flags
Filter | magFilter
Filter | minFilter
SamplerMipmapMode | mipmapMode
SamplerAddressMode | addressModeU
SamplerAddressMode | addressModeV
SamplerAddressMode | addressModeW
float | mipLodBias
Bool32 | anisotropyEnable
float | maxAnisotropy
Bool32 | compareEnable
CompareOp | compareOp
float | minLod
float | maxLod
BorderColor | borderColor
Bool32 | unnormalizedCoordinates

## Private Attributes

StructureType | sType = StructureType::eSamplerCreateInfo

## Detailed Description

Definition at line 11110 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SamplerCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::SamplerCreateInfo::SamplerCreateInfo | ( | SamplerCreateFlags | flags_ = `SamplerCreateFlags()`,
|  | Filter | magFilter_ = `Filter::eNearest`,
|  | Filter | minFilter_ = `Filter::eNearest`,
|  | SamplerMipmapMode | mipmapMode_ = `SamplerMipmapMode::eNearest`,
|  | SamplerAddressMode | addressModeU_ = `SamplerAddressMode::eRepeat`,
|  | SamplerAddressMode | addressModeV_ = `SamplerAddressMode::eRepeat`,
|  | SamplerAddressMode | addressModeW_ = `SamplerAddressMode::eRepeat`,
|  | float | mipLodBias_ = `0`,
|  | Bool32 | anisotropyEnable_ = `0`,
|  | float | maxAnisotropy_ = `0`,
|  | Bool32 | compareEnable_ = `0`,
|  | CompareOp | compareOp_ = `CompareOp::eNever`,
|  | float | minLod_ = `0`,
|  | float | maxLod_ = `0`,
|  | BorderColor | borderColor_ = `BorderColor::eFloatTransparentBlack`,
|  | Bool32 | unnormalizedCoordinates_ = `0`
| ) |  |

inline

Definition at line 11112 of file vulkan.hpp.

: flags( flags_ )
, magFilter( magFilter_ )
, minFilter( minFilter_ )
, mipmapMode( mipmapMode_ )
, addressModeU( addressModeU_ )
, addressModeV( addressModeV_ )
, addressModeW( addressModeW_ )
, mipLodBias( mipLodBias_ )
, anisotropyEnable( anisotropyEnable_ )
, maxAnisotropy( maxAnisotropy_ )
, compareEnable( compareEnable_ )
, compareOp( compareOp_ )
, minLod( minLod_ )
, maxLod( maxLod_ )
, borderColor( borderColor_ )
, unnormalizedCoordinates( unnormalizedCoordinates_ )
{
}

## SamplerCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::SamplerCreateInfo::SamplerCreateInfo | ( | VkSamplerCreateInfo const & | rhs | ) |

inline

Definition at line 11147 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SamplerCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkSamplerCreateInfo &()

VULKAN_HPP_NAMESPACE::SamplerCreateInfo::operator VkSamplerCreateInfo & | ( |  | ) |

inline

Definition at line 11264 of file vulkan.hpp.

{
return *reinterpret_cast<VkSamplerCreateInfo*>(this);
}

## operator VkSamplerCreateInfo const &()

VULKAN_HPP_NAMESPACE::SamplerCreateInfo::operator VkSamplerCreateInfo const & | ( |  | ) | const

inline

Definition at line 11259 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSamplerCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SamplerCreateInfo::operator!= | ( | SamplerCreateInfo const & | rhs | ) | const

inline

Definition at line 11291 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::operator= | ( | VkSamplerCreateInfo const & | rhs | ) |

inline

Definition at line 11152 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SamplerCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SamplerCreateInfo::operator== | ( | SamplerCreateInfo const & | rhs | ) | const

inline

Definition at line 11269 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( magFilter == rhs.magFilter )
&& ( minFilter == rhs.minFilter )
&& ( mipmapMode == rhs.mipmapMode )
&& ( addressModeU == rhs.addressModeU )
&& ( addressModeV == rhs.addressModeV )
&& ( addressModeW == rhs.addressModeW )
&& ( mipLodBias == rhs.mipLodBias )
&& ( anisotropyEnable == rhs.anisotropyEnable )
&& ( maxAnisotropy == rhs.maxAnisotropy )
&& ( compareEnable == rhs.compareEnable )
&& ( compareOp == rhs.compareOp )
&& ( minLod == rhs.minLod )
&& ( maxLod == rhs.maxLod )
&& ( borderColor == rhs.borderColor )
&& ( unnormalizedCoordinates == rhs.unnormalizedCoordinates );
}

References addressModeU, addressModeV, addressModeW, anisotropyEnable, borderColor, compareEnable, compareOp, flags, magFilter, maxAnisotropy, maxLod, minFilter, minLod, mipLodBias, mipmapMode, pNext, sType, and unnormalizedCoordinates.

Referenced by operator!=().

## setAddressModeU()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setAddressModeU | ( | SamplerAddressMode | addressModeU_ | ) |

inline

Definition at line 11187 of file vulkan.hpp.

{
addressModeU = addressModeU_;
return *this;
}

References addressModeU.

## setAddressModeV()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setAddressModeV | ( | SamplerAddressMode | addressModeV_ | ) |

inline

Definition at line 11193 of file vulkan.hpp.

{
addressModeV = addressModeV_;
return *this;
}

References addressModeV.

## setAddressModeW()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setAddressModeW | ( | SamplerAddressMode | addressModeW_ | ) |

inline

Definition at line 11199 of file vulkan.hpp.

{
addressModeW = addressModeW_;
return *this;
}

References addressModeW.

## setAnisotropyEnable()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setAnisotropyEnable | ( | Bool32 | anisotropyEnable_ | ) |

inline

Definition at line 11211 of file vulkan.hpp.

{
anisotropyEnable = anisotropyEnable_;
return *this;
}

References anisotropyEnable.

## setBorderColor()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setBorderColor | ( | BorderColor | borderColor_ | ) |

inline

Definition at line 11247 of file vulkan.hpp.

{
borderColor = borderColor_;
return *this;
}

References borderColor.

## setCompareEnable()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setCompareEnable | ( | Bool32 | compareEnable_ | ) |

inline

Definition at line 11223 of file vulkan.hpp.

{
compareEnable = compareEnable_;
return *this;
}

References compareEnable.

## setCompareOp()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setCompareOp | ( | CompareOp | compareOp_ | ) |

inline

Definition at line 11229 of file vulkan.hpp.

{
compareOp = compareOp_;
return *this;
}

References compareOp.

## setFlags()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setFlags | ( | SamplerCreateFlags | flags_ | ) |

inline

Definition at line 11163 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setMagFilter()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMagFilter | ( | Filter | magFilter_ | ) |

inline

Definition at line 11169 of file vulkan.hpp.

{
magFilter = magFilter_;
return *this;
}

References magFilter.

## setMaxAnisotropy()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMaxAnisotropy | ( | float | maxAnisotropy_ | ) |

inline

Definition at line 11217 of file vulkan.hpp.

{
maxAnisotropy = maxAnisotropy_;
return *this;
}

References maxAnisotropy.

## setMaxLod()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMaxLod | ( | float | maxLod_ | ) |

inline

Definition at line 11241 of file vulkan.hpp.

{
maxLod = maxLod_;
return *this;
}

References maxLod.

## setMinFilter()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMinFilter | ( | Filter | minFilter_ | ) |

inline

Definition at line 11175 of file vulkan.hpp.

{
minFilter = minFilter_;
return *this;
}

References minFilter.

## setMinLod()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMinLod | ( | float | minLod_ | ) |

inline

Definition at line 11235 of file vulkan.hpp.

{
minLod = minLod_;
return *this;
}

References minLod.

## setMipLodBias()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMipLodBias | ( | float | mipLodBias_ | ) |

inline

Definition at line 11205 of file vulkan.hpp.

{
mipLodBias = mipLodBias_;
return *this;
}

References mipLodBias.

## setMipmapMode()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setMipmapMode | ( | SamplerMipmapMode | mipmapMode_ | ) |

inline

Definition at line 11181 of file vulkan.hpp.

{
mipmapMode = mipmapMode_;
return *this;
}

References mipmapMode.

## setPNext()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 11157 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setUnnormalizedCoordinates()

SamplerCreateInfo& VULKAN_HPP_NAMESPACE::SamplerCreateInfo::setUnnormalizedCoordinates | ( | Bool32 | unnormalizedCoordinates_ | ) |

inline

Definition at line 11253 of file vulkan.hpp.

{
unnormalizedCoordinates = unnormalizedCoordinates_;
return *this;
}

References unnormalizedCoordinates.

## Field Documentation

## addressModeU

SamplerAddressMode VULKAN_HPP_NAMESPACE::SamplerCreateInfo::addressModeU

Definition at line 11305 of file vulkan.hpp.

Referenced by operator==(), and setAddressModeU().

## addressModeV

SamplerAddressMode VULKAN_HPP_NAMESPACE::SamplerCreateInfo::addressModeV

Definition at line 11306 of file vulkan.hpp.

Referenced by operator==(), and setAddressModeV().

## addressModeW

SamplerAddressMode VULKAN_HPP_NAMESPACE::SamplerCreateInfo::addressModeW

Definition at line 11307 of file vulkan.hpp.

Referenced by operator==(), and setAddressModeW().

## anisotropyEnable

Bool32 VULKAN_HPP_NAMESPACE::SamplerCreateInfo::anisotropyEnable

Definition at line 11309 of file vulkan.hpp.

Referenced by operator==(), and setAnisotropyEnable().

## borderColor

BorderColor VULKAN_HPP_NAMESPACE::SamplerCreateInfo::borderColor

Definition at line 11315 of file vulkan.hpp.

Referenced by operator==(), and setBorderColor().

## compareEnable

Bool32 VULKAN_HPP_NAMESPACE::SamplerCreateInfo::compareEnable

Definition at line 11311 of file vulkan.hpp.

Referenced by operator==(), and setCompareEnable().

## compareOp

CompareOp VULKAN_HPP_NAMESPACE::SamplerCreateInfo::compareOp

Definition at line 11312 of file vulkan.hpp.

Referenced by operator==(), and setCompareOp().

## flags

SamplerCreateFlags VULKAN_HPP_NAMESPACE::SamplerCreateInfo::flags

Definition at line 11301 of file vulkan.hpp.

Referenced by operator==().

## magFilter

Filter VULKAN_HPP_NAMESPACE::SamplerCreateInfo::magFilter

Definition at line 11302 of file vulkan.hpp.

Referenced by operator==(), and setMagFilter().

## maxAnisotropy

float VULKAN_HPP_NAMESPACE::SamplerCreateInfo::maxAnisotropy

Definition at line 11310 of file vulkan.hpp.

Referenced by operator==(), and setMaxAnisotropy().

## maxLod

float VULKAN_HPP_NAMESPACE::SamplerCreateInfo::maxLod

Definition at line 11314 of file vulkan.hpp.

Referenced by operator==(), and setMaxLod().

## minFilter

Filter VULKAN_HPP_NAMESPACE::SamplerCreateInfo::minFilter

Definition at line 11303 of file vulkan.hpp.

Referenced by operator==(), and setMinFilter().

## minLod

float VULKAN_HPP_NAMESPACE::SamplerCreateInfo::minLod

Definition at line 11313 of file vulkan.hpp.

Referenced by operator==(), and setMinLod().

## mipLodBias

float VULKAN_HPP_NAMESPACE::SamplerCreateInfo::mipLodBias

Definition at line 11308 of file vulkan.hpp.

Referenced by operator==(), and setMipLodBias().

## mipmapMode

SamplerMipmapMode VULKAN_HPP_NAMESPACE::SamplerCreateInfo::mipmapMode

Definition at line 11304 of file vulkan.hpp.

Referenced by operator==(), and setMipmapMode().

## pNext

const void* VULKAN_HPP_NAMESPACE::SamplerCreateInfo::pNext = nullptr

Definition at line 11300 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::SamplerCreateInfo::sType = StructureType::eSamplerCreateInfo

private

Definition at line 11297 of file vulkan.hpp.

Referenced by operator==().

## unnormalizedCoordinates

Bool32 VULKAN_HPP_NAMESPACE::SamplerCreateInfo::unnormalizedCoordinates

Definition at line 11316 of file vulkan.hpp.

Referenced by operator==(), and setUnnormalizedCoordinates().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SamplerCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:11297
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::unnormalizedCoordinates
Bool32 unnormalizedCoordinates
Definition: vulkan.hpp:11316
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::addressModeV
SamplerAddressMode addressModeV
Definition: vulkan.hpp:11306
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::SamplerCreateInfo
SamplerCreateInfo(SamplerCreateFlags flags_=SamplerCreateFlags(), Filter magFilter_=Filter::eNearest, Filter minFilter_=Filter::eNearest, SamplerMipmapMode mipmapMode_=SamplerMipmapMode::eNearest, SamplerAddressMode addressModeU_=SamplerAddressMode::eRepeat, SamplerAddressMode addressModeV_=SamplerAddressMode::eRepeat, SamplerAddressMode addressModeW_=SamplerAddressMode::eRepeat, float mipLodBias_=0, Bool32 anisotropyEnable_=0, float maxAnisotropy_=0, Bool32 compareEnable_=0, CompareOp compareOp_=CompareOp::eNever, float minLod_=0, float maxLod_=0, BorderColor borderColor_=BorderColor::eFloatTransparentBlack, Bool32 unnormalizedCoordinates_=0)
Definition: vulkan.hpp:11112
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::compareOp
CompareOp compareOp
Definition: vulkan.hpp:11312
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::minFilter
Filter minFilter
Definition: vulkan.hpp:11303
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::maxAnisotropy
float maxAnisotropy
Definition: vulkan.hpp:11310
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::mipLodBias
float mipLodBias
Definition: vulkan.hpp:11308
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::addressModeW
SamplerAddressMode addressModeW
Definition: vulkan.hpp:11307
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::minLod
float minLod
Definition: vulkan.hpp:11313
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::flags
SamplerCreateFlags flags
Definition: vulkan.hpp:11301
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::mipmapMode
SamplerMipmapMode mipmapMode
Definition: vulkan.hpp:11304
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::operator==
bool operator==(SamplerCreateInfo const &rhs) const
Definition: vulkan.hpp:11269
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::borderColor
BorderColor borderColor
Definition: vulkan.hpp:11315
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::maxLod
float maxLod
Definition: vulkan.hpp:11314
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:11300
VkSamplerCreateInfo
Definition: vulkan_core.h:2510
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::magFilter
Filter magFilter
Definition: vulkan.hpp:11302
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::anisotropyEnable
Bool32 anisotropyEnable
Definition: vulkan.hpp:11309
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::compareEnable
Bool32 compareEnable
Definition: vulkan.hpp:11311
VULKAN_HPP_NAMESPACE::SamplerCreateInfo::addressModeU
SamplerAddressMode addressModeU
Definition: vulkan.hpp:11305